SessionListElement(3)

NAME
SessionListElement - Class for tracking session status.

SYNOPSIS

#include <pool.h>

  Public Member Functions

SessionListElement (RTPSessionBaseRTPSessionBase *e)
void clear ()
bool isCleared ()
RTPSessionBaseRTPSessionBase * get ()

Detailed Description

Class for tracking session status.

Session pools arrange sessions in lists of SessionListElement objects.

Author
    Jorgen Terner

Constructor & Destructor Documentation

  SessionListElement::SessionListElement (RTPSessionBaseRTPSessionBase * e) [inline]

Member Function Documentation

  void SessionListElement::clear () [inline]

  RTPSessionBaseRTPSessionBase * SessionListElement::get () [inline]

  bool SessionListElement::isCleared () [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.